Subject: Re: [stats-rosuda-devel] JRI and windows
From: Simon Urbanek <[email-masked]>
To: Anika Joecker <[email-masked]>
Cc: [email-masked]
Date: Tue, 20 Oct 2009 11:39:12 -0400
List-Id: List for discussions about the future of RoSuDa Software <stats-rosuda-devel.listserv.uni-augsburg.de>

Anika,

On Oct 20, 2009, at 5:06 , Anika Joecker wrote:

> Dear all,
>
> using JRI with Linux worked good.
> However, because the biologists mostly using Windows, I now have  
> problems to run the program on Windows.
>
> I have set the R_HOME to the /R/bin folder.

That is wrong. You should not set R_HOME unless you really know what  
you're doing since JRI reads the correct setting form the registry  
unless you override it (and in this case you override it with the  
wrong path).

> Furthermore I added the path to the jri folder (including the  
> jri.dll) to the ld library path (e.g. java -Djava.library.path="C: 
> \Program files\R\library\rJava\jri").
>

That is possibly correct (Java sometimes requires short paths on  
Windows, I'm not sure if it does for that path).

> I also tried to add the path to the R.dll and the path to the  
> jri.dll to the PATH variable in windows.
>
> All jars are included in the Java project.
>
> Always I got the following error message:
> java.lang.UnsatisfiedLinkError: C:\Program Files\R\library\rJava\jri 
> \jri.dll: Can't find dependent libraries
>
> Has anyone of you any idea what I can do or what I have forgotten to  
> set?
>

The only thing that needs to be set on Windows for JRI is the PATH  
which must contain the bin directory of R (and optionally  
java.library.path depending on your setup).

Cheers,
Simon

_______________________________________________
stats-rosuda-devel mailing list
[email-masked]
http://mailman.rz.uni-augsburg.de/mailman/listinfo/stats-rosuda-devel